View Issue Details

IDProjectCategoryView StatusLast Update
0003414GNUnetbuild processpublic2018-06-07 00:25
ReporterellAssigned ToSupriti Singh 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformOSxubuntu-14.04-64amdOS Version
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003414: gnunet-service-xdht_neighbours.c , Revision 33447
Descriptionmake[2]: Betrete Verzeichnis '/home/ell/gnunet/src/dht'
  CC gnunet-service-xdht.o
  CC gnunet-service-xdht_datacache.o
  CC gnunet-service-xdht_neighbours.o
gnunet-service-xdht_neighbours.c: In function ‘GDS_NEIGHBOURS_send_trail_setup’:
gnunet-service-xdht_neighbours.c:855:5: error: incompatible type for argument 1 of ‘memset’
     memset (tsm->intermediate_trail_id, 0, sizeof (tsm->intermediate_trail_id));
     ^
In file included from /usr/include/features.h:374:0,
                 from /usr/include/x86_64-linux-gnu/sys/types.h:25,
                 from ../../src/include/platform.h:48,
                 from gnunet-service-xdht_neighbours.c:27:
/usr/include/x86_64-linux-gnu/bits/string3.h:76:1: note: expected ‘void *’ but argument is of type ‘struct GNUNET_HashCode’
 __NTH (memset (void *__dest, int __ch, size_t __len))
 ^
gnunet-service-xdht_neighbours.c: In function ‘select_trail_to_finger’:
gnunet-service-xdht_neighbours.c:1419:56: error: ‘struct FriendInfo’ has no member named ‘congestion_duration’
       ((0 == GNUNET_TIME_absolute_get_remaining (friend->congestion_duration).rel_value_us)))
                                                        ^
gnunet-service-xdht_neighbours.c: In function ‘find_successor’:
gnunet-service-xdht_neighbours.c:1581:57: error: ‘struct FriendInfo’ has no member named ‘congestion_duration’
         (0 != GNUNET_TIME_absolute_get_remaining (friend->congestion_duration).rel_value_us))
                                                         ^
gnunet-service-xdht_neighbours.c: In function ‘select_random_friend’:
gnunet-service-xdht_neighbours.c:1764:57: error: ‘struct FriendInfo’ has no member named ‘congestion_duration’
         (0 == GNUNET_TIME_absolute_get_remaining (friend->congestion_duration).rel_value_us))
                                                         ^
gnunet-service-xdht_neighbours.c: In function ‘add_new_trail’:
gnunet-service-xdht_neighbours.c:2004:45: error: invalid type argument of ‘->’ (have ‘struct TrailList’)
   for (i = 0; existing_finger->trail_list[i]->trail_head != NULL; i++)
                                             ^
gnunet-service-xdht_neighbours.c: In function ‘scan_and_compress_trail’:
gnunet-service-xdht_neighbours.c:2329:53: warning: passing argument 1 of ‘memcpy’ discards ‘const’ qualifier from pointer target type [enabled by default]
         memcpy (&trail[j], &trail[i], sizeof(struct GNUNET_PeerIdentity));
                                                     ^
In file included from /usr/include/features.h:374:0,
                 from /usr/include/x86_64-linux-gnu/sys/types.h:25,
                 from ../../src/include/platform.h:48,
                 from gnunet-service-xdht_neighbours.c:27:
/usr/include/x86_64-linux-gnu/bits/string3.h:48:1: note: expected ‘void * __restrict__’ but argument is of type ‘const struct GNUNET_PeerIdentity *’
 __NTH (memcpy (void *__restrict __dest, const void *__restrict __src,
 ^
gnunet-service-xdht_neighbours.c: In function ‘finger_table_add’:
gnunet-service-xdht_neighbours.c:2434:45: warning: passing argument 3 of ‘is_new_finger_closest’ discards ‘const’ qualifier from pointer target type [enabled by default]
                                             new_finger_trail_id, finger_map_index))
                                             ^
gnunet-service-xdht_neighbours.c:2148:1: note: expected ‘struct GNUNET_PeerIdentity *’ but argument is of type ‘const struct GNUNET_PeerIdentity *’
 is_new_finger_closest (struct FingerInfo *existing_finger,
 ^
gnunet-service-xdht_neighbours.c:2438:5: warning: passing argument 2 of ‘add_new_entry’ discards ‘const’ qualifier from pointer target type [enabled by default]
     GNUNET_assert (GNUNET_YES == add_new_entry (new_finger_identity,
     ^
gnunet-service-xdht_neighbours.c:2215:1: note: expected ‘struct GNUNET_PeerIdentity *’ but argument is of type ‘const struct GNUNET_PeerIdentity *’
 add_new_entry (struct GNUNET_PeerIdentity finger_identity,
 ^
gnunet-service-xdht_neighbours.c: In function ‘handle_dht_p2p_trail_setup’:
gnunet-service-xdht_neighbours.c:2599:33: warning: unused variable ‘closest_peer’ [-Wunused-variable]
     struct GNUNET_PeerIdentity *closest_peer;
                                 ^
gnunet-service-xdht_neighbours.c:2650:38: error: incompatible type for argument 9 of ‘GDS_NEIGHBOURS_send_trail_setup’
                                      new_intermediate_trail_id);
                                      ^
gnunet-service-xdht_neighbours.c:812:1: note: expected ‘struct GNUNET_HashCode *’ but argument is of type ‘struct GNUNET_HashCode’
 GDS_NEIGHBOURS_send_trail_setup (const struct GNUNET_PeerIdentity source_peer,
 ^
gnunet-service-xdht_neighbours.c:2548:26: warning: variable ‘intermediate_trail_id’ set but not used [-Wunused-but-set-variable]
   struct GNUNET_HashCode intermediate_trail_id;
                          ^
gnunet-service-xdht_neighbours.c: In function ‘handle_dht_p2p_trail_rejection’:
gnunet-service-xdht_neighbours.c:3267:38: error: incompatible type for argument 9 of ‘GDS_NEIGHBOURS_send_trail_setup’
                                      new_intermediate_trail_id);
                                      ^
gnunet-service-xdht_neighbours.c:812:1: note: expected ‘struct GNUNET_HashCode *’ but argument is of type ‘struct GNUNET_HashCode’
 GDS_NEIGHBOURS_send_trail_setup (const struct GNUNET_PeerIdentity source_peer,
 ^
make[2]: *** [gnunet-service-xdht_neighbours.o] Fehler 1
make[2]: Verlasse Verzeichnis '/home/ell/gnunet/src/dht'
make[1]: *** [install-recursive] Fehler 1
make[1]: Verlasse Verzeichnis '/home/ell/gnunet/src'
make: *** [install-recursive] Fehler 1
Steps To Reproducecd gnunet
svn up
sudo make install
TagsNo tags attached.

Activities

Christian Grothoff

2014-06-01 10:35

manager   ~0008371

Supriti fixed this now.

Issue History

Date Modified Username Field Change
2014-05-30 20:10 ell New Issue
2014-06-01 00:35 Christian Grothoff Assigned To => Supriti Singh
2014-06-01 00:35 Christian Grothoff Status new => assigned
2014-06-01 10:35 Christian Grothoff Status assigned => resolved
2014-06-01 10:35 Christian Grothoff Fixed in Version => 0.11.0pre66
2014-06-01 10:35 Christian Grothoff Resolution open => fixed
2014-06-01 10:35 Christian Grothoff Note Added: 0008371
2014-06-01 10:35 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:25 Christian Grothoff Status resolved => closed